c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Cgu::StandardArrayDelete< T > Class Template Reference
handles and smart pointers

A deleter functor for use as the second (Dealloc) template parameter of the SharedHandle, SharedLockHandle or ScopedHandle template classes, which calls the C++ delete[] expression. More...

`#include <c++-gtk-utils/shared_handle.h>`

## Public Member Functions
void | operator() (T obj)

## Detailed Description

### template<class T>
class Cgu::StandardArrayDelete< T >

A deleter functor for use as the second (Dealloc) template parameter of the SharedHandle, SharedLockHandle or ScopedHandle template classes, which calls the C++ delete[] expression.

This functor enables those classes to manage arrays created with the new expression. It is the default type of the second template paramenter of those classes.

## Member Function Documentation

## ◆ operator()()

template<class T >

void Cgu::StandardArrayDelete< T >::operator() | ( | T | obj | ) |
| inline

The documentation for this class was generated from the following file:

- shared_handle.h